Rfc4134Test (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms.test

## Class Rfc4134Test

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.cms.test.Rfc4134Test

- All Implemented Interfaces:
    junit.framework.Test

      public class Rfc4134Test
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Rfc4134Test(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `static junit.framework.Test` | `suite()`
    `void` | `test4_1()`
    `void` | `test4_2()`
    `void` | `test4_4()`
    `void` | `test4_5()`
    `void` | `test4_6()`
    `void` | `test4_7()`
    `void` | `test5_1()`
    `void` | `test5_2()`
    `void` | `testRfc4_3()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Rfc4134Test

          public Rfc4134Test(java.lang.String name)

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### suite

          public static junit.framework.Test suite()
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_1

          public void test4_1()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_2

          public void test4_2()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRfc4_3

          public void testRfc4_3()
                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_4

          public void test4_4()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_5

          public void test4_5()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_6

          public void test4_6()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test4_7

          public void test4_7()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test5_1

          public void test5_1()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### test5_2

          public void test5_2()
                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`